
'use strict';

var Menu = require('terminal-menu');
var menu;

module.exports = function errorMenu(options) {
    menu = Menu({ /* jshint ignore: line */
        bg: 'red',
        fg: 'white',
        width: 50,
        x: 3,
        y: 2
    });

    options = options || {};

    menu.reset();
    menu.write('Could not read the package.json.\n');
    menu.write('Please execute this tool in your working directory,\n');
    menu.write('where the deployment should happen.\n\n');
    menu.write('--------------------------------------------------\n\n');
    menu.add('EXIT', exit);

    menu.on('close', function closeMenu() {
        process.stdin.setRawMode(false);
        process.stdin.end();
    });

    process.stdin.pipe(menu.createStream()).pipe(process.stdout);
    process.stdin.setRawMode(true);

    function exit() {
        menu.reset();
        menu.close();
    }
};
